<?php
/**
 * @package   OSDownloads-Pro
 * @contact   www.joomlashack.com, help@joomlashack.com
 * @copyright 2005-2020 Joomlashack.com. All rights reserved
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 *
 * This file is part of OSDownloads-Pro.
 *
 * OSDownloads-Pro is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * OSDownloads-Pro is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSDownloads-Pro.  If not, see <http://www.gnu.org/licenses/>.
 */

defined('_JEXEC') or die();

trait MailinglistFieldTraits
{
    /**
     * @var bool
     */
    protected static $mailinglistEnabled = null;

    /**
     * @var JForm
     */
    protected $form = null;

    protected function isMailinglistEnabled($key)
    {
        if (static::$mailinglistEnabled === null) {
            static::$mailinglistEnabled = ($this->form->getName() == 'com_config.component');
            if (!static::$mailinglistEnabled) {
                static::$mailinglistEnabled = JComponentHelper::getParams('com_osdownloads')
                    ->get("mailinglist.{$key}.enable");
            }
        }

        return static::$mailinglistEnabled;
    }
}
