<?php
/**
 * @package   OSDownloads-Pro
 * @contact   www.joomlashack.com, help@joomlashack.com
 * @copyright 2005-2020 Joomlashack.com. All rights reserved
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 *
 * This file is part of OSDownloads-Pro.
 *
 * OSDownloads-Pro is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * OSDownloads-Pro is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSDownloads-Pro.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Alledia\OSDownloads\Pro\Helper;

use Alledia\OSDownloads\Free\Helper\Route as FreeRoute;

defined('_JEXEC') or die();

/**
 * OSDownloads Component Route Helper.
 */
class Route extends FreeRoute
{
	/**
	 * Get the category route.
	 *
	 * @param   integer  $id        The id of the category
	 * @param   integer  $itemId    The item ID
	 *
	 * @return  string  The category route.
	 */
	public function getCategoriesRoute($id, $itemId = null)
	{
		$id     = (int) $id;
		$itemId = (int) $itemId;

		// Create the link
		$link = 'index.php?option=com_osdownloads&view=categories&id=' . $id;

		if (!empty($itemId)) {
			$link .= '&Itemid=' . $itemId;
		}

		return $link;
	}
}
