<?php
/**
 * @package   OSDownloads-Pro
 * @contact   www.joomlashack.com, help@joomlashack.com
 * @copyright 2005-2020 Joomlashack.com. All rights reserved
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 *
 * This file is part of OSDownloads-Pro.
 *
 * OSDownloads-Pro is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * OSDownloads-Pro is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSDownloads-Pro.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Alledia\OSDownloads\Pro\Joomla\View\Admin;

use Alledia\OSDownloads\Free\Joomla\View\Admin\Emails as FreeEmailsView;
use JToolBarHelper;

defined('_JEXEC') or die();


class Emails extends FreeEmailsView
{
    protected function addToolbar()
    {
        parent::addToolbar();
        JToolBarHelper::custom('emails.export', 'copy.png', 'copy_f2.png', 'COM_OSDOWNLOADS_EXPORT_CSV_LABEL', false);
    }

    protected function buildQuery(&$query)
    {
    	$query->select(
	        '(
	         SELECT COUNT(*) > 0
	         FROM #__fields_values AS val
	         INNER JOIN #__fields AS field ON (field.context = "com_osdownloads.download" AND val.field_id = field.id)
	         WHERE val.item_id = email.id
	        ) AS has_custom_fields'

	    );
    }
}
