<?php
/**
 * @package   OSDownloads-Pro
 * @contact   www.joomlashack.com, help@joomlashack.com
 * @copyright 2005-2020 Joomlashack.com. All rights reserved
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 *
 * This file is part of OSDownloads-Pro.
 *
 * OSDownloads-Pro is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * OSDownloads-Pro is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSDownloads-Pro.  If not, see <http://www.gnu.org/licenses/>.
 */

defined('_JEXEC') or die;

JHtml::_('script', 'com_osdownloads/clipboard.min.js', array('relative' => true));
?>

<td class="center">
    <?php if ($this->item->confirmed) : ?>
        <?php echo '<i class="icon-publish"></i>'; ?>
    <?php else : ?>
        <?php echo '<i class="icon-cancel"></i>'; ?>
    <?php endif; ?>
</td>
<td class="center">
    <?php if ($this->item->synced) : ?>
        <?php echo '<i class="icon-publish"></i>'; ?>
    <?php else : ?>
        <?php echo '<i class="icon-cancel"></i>&nbsp;' . $this->item->sync_error; ?>
    <?php endif; ?>
</td>

<td class="center">
    <?php if ($this->item->has_custom_fields) : ?>
        <?php
        $model = JModelList::getInstance('Emails', 'OsdownloadsModel');
        $data  = $model->getCustomFieldsValuesAsString($this->item);

        ?>
        <a
            href="#"
            class="hasPopover"
            title="<?php echo JText::_('COM_OSDOWNLOADS_FIELD_CUSTOM_FIELDS_LABEL'); ?>"
            data-content="<?php echo $data; ?>">
            <span class="icon-eye" style="font-size: 16px;"></span>
        </a>
        &nbsp;
        <a
            href="#"
            class="osdownloads-copy-btn hasPopover"
            data-clipboard-text="<?php echo str_replace('<br>', "\n", $data); ?>"
            title="<?php echo JText::_('COM_OSDOWNLOADS_COPY_TO_CLIPBOARD'); ?>"
            data-content="<?php echo JText::_('COM_OSDOWNLOADS_COPY_TO_CLIPBOARD_DESC'); ?>">

            <span class="icon-copy" style="font-size: 16px;"></span>
        </a>
    <?php else : ?>
        <?php echo '-'; ?>
    <?php endif; ?>
</td>

<script>
    (function(Clipboard) {
        new Clipboard('.osdownloads-copy-btn');
    })(Clipboard);
</script>
